Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046606 - [abrt] lifeograph: LIFEO::PanelDiary::add_chapter_category_to_list(): lifeograph killed by SIGSEGV [NEEDINFO]
Summary: [abrt] lifeograph: LIFEO::PanelDiary::add_chapter_category_to_list(): lifeogr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lifeograph
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:779f852c86cb64d5574deccc910...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 09:54 UTC by Antonio Guzmán Simón
Modified: 2015-06-30 00:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:48:19 UTC
Type: ---
sanjay.ankur: needinfo? (aguzmansimon)


Attachments (Terms of Use)
File: backtrace (39.63 KB, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: core_backtrace (20.02 KB, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: dso_list (10.14 KB, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: environ (1.66 KB, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: exploitable (109 bytes, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: maps (56.77 KB, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: open_fds (1.31 KB, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details
File: var_log_messages (413 bytes, text/plain)
2013-12-26 09:54 UTC, Antonio Guzmán Simón
no flags Details

Description Antonio Guzmán Simón 2013-12-26 09:54:03 UTC
Version-Release number of selected component:
lifeograph-0.11.1-3.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        lifeograph
crash_function: LIFEO::PanelDiary::add_chapter_category_to_list
executable:     /usr/bin/lifeograph
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 LIFEO::PanelDiary::add_chapter_category_to_list at ../src/panel_diary.cpp:230
 #1 LIFEO::PanelDiary::update_entry_list at ../src/panel_diary.cpp:319
 #2 LIFEO::ChapterView::add_new_entry at ../src/views.cpp:504
 #3 operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
 #4 Glib::SignalProxyNormal::slot0_void_callback at signalproxy.cc:95
 #9 gtk_real_button_released at gtkbutton.c:2106
 #10 Gtk::Button_Class::released_callback at button.cc:283
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 gtk_button_button_release at gtkbutton.c:1938
 #15 Gtk::Widget::on_button_release_event at widget.cc:8145

Comment 1 Antonio Guzmán Simón 2013-12-26 09:54:09 UTC
Created attachment 841828 [details]
File: backtrace

Comment 2 Antonio Guzmán Simón 2013-12-26 09:54:14 UTC
Created attachment 841829 [details]
File: cgroup

Comment 3 Antonio Guzmán Simón 2013-12-26 09:54:18 UTC
Created attachment 841830 [details]
File: core_backtrace

Comment 4 Antonio Guzmán Simón 2013-12-26 09:54:20 UTC
Created attachment 841831 [details]
File: dso_list

Comment 5 Antonio Guzmán Simón 2013-12-26 09:54:22 UTC
Created attachment 841832 [details]
File: environ

Comment 6 Antonio Guzmán Simón 2013-12-26 09:54:25 UTC
Created attachment 841833 [details]
File: exploitable

Comment 7 Antonio Guzmán Simón 2013-12-26 09:54:28 UTC
Created attachment 841834 [details]
File: limits

Comment 8 Antonio Guzmán Simón 2013-12-26 09:54:38 UTC
Created attachment 841835 [details]
File: maps

Comment 9 Antonio Guzmán Simón 2013-12-26 09:54:40 UTC
Created attachment 841836 [details]
File: open_fds

Comment 10 Antonio Guzmán Simón 2013-12-26 09:54:44 UTC
Created attachment 841837 [details]
File: proc_pid_status

Comment 11 Antonio Guzmán Simón 2013-12-26 09:54:49 UTC
Created attachment 841838 [details]
File: var_log_messages

Comment 12 Ankur Sinha (FranciscoD) 2013-12-26 13:35:21 UTC
Hi Antonio,

Have you been able to reproduce this bug?

Thanks
Warm regards,
Ankur

Comment 13 Fedora End Of Life 2015-05-29 10:10:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-30 00:48:19 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.